#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:           kdepim-addons
Version: 20.12.0
Release:        %mkrel %{rel}
Summary:        Addons for KDE PIM applications
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
Url:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

# Qt5 BuildRequires
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

# KDE Framework BuildRequires
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Prison)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5WebKit)
BuildRequires:  cmake(KF5SyntaxHighlighting)

BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiCalendar)
BuildRequires:  cmake(KF5CalendarSupport)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5EventViews)
BuildRequires:  cmake(KF5GrantleeTheme)
BuildRequires:  cmake(KF5Gravatar)
BuildRequires:  cmake(KF5IncidenceEditor)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5MessageCore)
BuildRequires:  cmake(KF5MessageComposer)
BuildRequires:  cmake(KF5MessageList)
BuildRequires:  cmake(KF5Tnef)
BuildRequires:  cmake(KF5WebEngineViewer)
BuildRequires:  cmake(KF5LibKSieve)
BuildRequires:  cmake(KF5WebEngineViewer)

BuildRequires:  cmake(Grantlee5)

# Extra package
BuildRequires:  cmake(KPimGAPI)
BuildRequires:  cmake(KPimPkPass)
BuildRequires:  cmake(KPimItinerary)
BuildRequires:  cmake(KPimImportWizard)
BuildRequires:  cmake(KPimAddressbookImportExport)
BuildRequires:  cmake(Gpgmepp)
BuildRequires:  pkgconfig(libmarkdown)


%description
Addons for KDE PIM applications.

%files -f %name.lang
%{_kf5_categoriesdir}/kdepim-addons.categories
%{_kf5_categoriesdir}/kdepim-addons.renamecategories
# Akonadi
%{_qt5_plugindir}/akonadi/emailaddressselectionldapdialogplugin.so
# KAddressBook addons
%{_qt5_plugindir}/kaddressbook/
# KMail addons
%config %{_kf5_sysconfdir}/xdg/kmail.antispamrc
%config %{_kf5_sysconfdir}/xdg/kmail.antivirusrc
%{_kf5_bindir}/kmail_antivir.sh
%{_kf5_bindir}/kmail_clamav.sh
%{_kf5_bindir}/kmail_fprot.sh
%{_kf5_bindir}/kmail_sav.sh
%{_qt5_plugindir}/kmail/
%{_qt5_plugindir}/libksieve/imapfoldercompletionplugin.so
%{_kf5_datadir}/kconf_update/languagetool_kmail.upd
# KOrganizer addons
%{_qt5_plugindir}/korg_datenums.so
%{_qt5_plugindir}/korg_picoftheday.so
%{_qt5_plugindir}/korg_thisdayinhistory.so
%{_kf5_services}/korganizer/
# PimCommon addons
%{_qt5_plugindir}/pimcommon/
# WebengineViewer addons
%{_qt5_plugindir}/webengineviewer/urlinterceptor/
%{_kf5_datadir}/kconf_update/webengineurlinterceptoradblock.upd
# PimCalendars addons
%{_qt5_plugindir}/plasmacalendarplugins/pimevents.so
%{_qt5_plugindir}/plasmacalendarplugins/pimevents/PimEventsConfig.qml
%{_qt5_qml}/org/kde/plasma/PimCalendars/libpimcalendarsplugin.so
%{_qt5_qml}/org/kde/plasma/PimCalendars/qmldir
%{_qt5_plugindir}/libksieve/regexpeditorlineeditplugin.so
%{_qt5_plugindir}/libksieve/emaillineeditplugin.so
%{_qt5_plugindir}/mailtransport/mailtransport_sendplugin.so
%{_qt5_plugindir}/templateparser/templateparseraddressrequesterplugin.so
%_kf5_libdir/contacteditor/editorpageplugins/cryptopageplugin.so
%{_qt5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter_application_gnupgwks.so
%{_qt5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter_application_mstnef.so
%{_qt5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter_pkpass.so
%{_qt5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so
%{_qt5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_calendar.so
%{_qt5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_highlighter.so
%{_qt5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_markdown.so
%{_qt5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter_text_vcard.so
%{_qt5_plugindir}/messageviewer/configuresettings/
%{_qt5_plugindir}/messageviewer/headerstyle/
%{_qt5_plugindir}/messageviewer/viewercommonplugin/
%{_qt5_plugindir}/messageviewer/viewerplugin/
%{_qt5_plugindir}/messageviewer/grantlee/5.0/kitinerary_grantlee_extension.so
# PimImportWizard addons
%dir %{_qt5_plugindir}/importwizard
%{_qt5_plugindir}/importwizard/evolutionv1importerplugin.so
%{_qt5_plugindir}/importwizard/evolutionv2importerplugin.so
%{_qt5_plugindir}/importwizard/gearyimporterplugin.so
%{_qt5_plugindir}/importwizard/nylasmailimporterplugin.so
%{_qt5_plugindir}/importwizard/operaimporterplugin.so
# qtcreator templates
%{_datadir}/qtcreator/templates/kmaileditorconvertertextplugins/
%{_datadir}/qtcreator/templates/kmaileditorplugins/

#-------------------------------------------------------------------------------

%define libkmailmarkdown_major 5
%define libkmailmarkdown %mklibname kmailmarkdown %{libkmailmarkdown_major}

%package -n %libkmailmarkdown
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkmailmarkdown
Runtime library for %name.

%files -n %libkmailmarkdown
%_kf5_libdir/libkmailmarkdown.so.%{libkmailmarkdown_major}{,.*}

#-------------------------------------------------------------------------------

%define libshorturlpluginprivate_major 5
%define libshorturlpluginprivate %mklibname shorturlpluginprivate %{libshorturlpluginprivate_major}

%package -n %libshorturlpluginprivate
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libshorturlpluginprivate
Runtime library for %name.

%files -n %libshorturlpluginprivate
%_kf5_libdir/libshorturlpluginprivate.so.%{libshorturlpluginprivate_major}{,.*}

#-------------------------------------------------------------------------------

%define libkaddressbookmergelibprivate_major 5
%define libkaddressbookmergelibprivate %mklibname kaddressbookmergelibprivate %{libkaddressbookmergelibprivate_major}

%package -n %libkaddressbookmergelibprivate
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkaddressbookmergelibprivate
Runtime library for %name.

%files -n %libkaddressbookmergelibprivate
%_kf5_libdir/libkaddressbookmergelibprivate.so.%{libkaddressbookmergelibprivate_major}{,.*}

#-------------------------------------------------------------------------------
%if 0

%define libkaddressbookimportexportlibprivate_major 5
%define libkaddressbookimportexportlibprivate %mklibname kaddressbookimportexportlibprivate %{libkaddressbookimportexportlibprivate_major}

%package -n %libkaddressbookimportexportlibprivate
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkaddressbookimportexportlibprivate
Runtime library for %name.

%files -n %libkaddressbookimportexportlibprivate
%_kf5_libdir/libkaddressbookimportexportlibprivate.so.%{libkaddressbookimportexportlibprivate_major}{,.*}

%endif
#-------------------------------------------------------------------------------

%define libadblocklibprivate_major 5
%define libadblocklibprivate %mklibname adblocklibprivate %{libadblocklibprivate_major}

%package -n %libadblocklibprivate
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libadblocklibprivate
Runtime library for %name.

%files -n %libadblocklibprivate
%_kf5_libdir/libadblocklibprivate.so.%{libadblocklibprivate_major}{,.*}

#-------------------------------------------------------------------------------

%define libgrammarcommon_major 5
%define libgrammarcommon %mklibname grammarcommon %{libgrammarcommon_major}

%package -n %libgrammarcommon
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libgrammarcommon
Runtime library for %name.

%files -n %libgrammarcommon
%_kf5_libdir/libgrammarcommon.so.%{libgrammarcommon_major}{,.*}

#-------------------------------------------------------------------------------

%define libkmailgrammalecte_major 5
%define libkmailgrammalecte %mklibname kmailgrammalecte %{libkmailgrammalecte_major}

%package -n %libkmailgrammalecte
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkmailgrammalecte
Runtime library for %name.

%files -n %libkmailgrammalecte
%_kf5_libdir/libkmailgrammalecte.so.%{libkmailgrammalecte_major}{,.*}

#-------------------------------------------------------------------------------

%define libkmaillanguagetool_major 5
%define libkmaillanguagetool %mklibname kmaillanguagetool %{libkmaillanguagetool_major}

%package -n %libkmaillanguagetool
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkmaillanguagetool
Runtime library for %name.

%files -n %libkmaillanguagetool
%_kf5_libdir/libkmaillanguagetool.so.%{libkmaillanguagetool_major}{,.*}

#-------------------------------------------------------------------------------

%define kmailquicktextpluginprivate_major 5
%define libkmailquicktextpluginprivate %mklibname kmailquicktextpluginprivate %{kmailquicktextpluginprivate_major}

%package -n %libkmailquicktextpluginprivate
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libkmailquicktextpluginprivate
Runtime library for %name.

%files -n %libkmailquicktextpluginprivate
%_kf5_libdir/libkmailquicktextpluginprivate.so.%{kmailquicktextpluginprivate_major}{,.*}

#-------------------------------------------------------------------------------

%define dkimverifyconfigure_major 5
%define libdkimverifyconfigure %mklibname dkimverifyconfigure %{dkimverifyconfigure_major}

%package -n %libdkimverifyconfigure
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libdkimverifyconfigure
Runtime library for %name.

%files -n %libdkimverifyconfigure
%_kf5_libdir/libdkimverifyconfigure.so.%{dkimverifyconfigure_major}{,.*}

#-------------------------------------------------------------------------------

%define expireaccounttrashfolderconfig_major 5
%define libexpireaccounttrashfolderconfig %mklibname expireaccounttrashfolderconfig %{expireaccounttrashfolderconfig_major}

%package -n %libexpireaccounttrashfolderconfig
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libexpireaccounttrashfolderconfig
Runtime library for %name.

%files -n %libexpireaccounttrashfolderconfig
%_kf5_libdir/libexpireaccounttrashfolderconfig.so.%{expireaccounttrashfolderconfig_major}{,.*}

#-------------------------------------------------------------------------------

%define folderconfiguresettings_major 5
%define libfolderconfiguresettings %mklibname folderconfiguresettings %{folderconfiguresettings_major}

%package -n %libfolderconfiguresettings
Summary:        Runtime library for %name
Group:          System/Libraries

%description -n %libfolderconfiguresettings
Runtime library for %name.

%files -n %libfolderconfiguresettings
%_kf5_libdir/libfolderconfiguresettings.so.%{folderconfiguresettings_major}{,.*}

#-------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-2.mga8
+ Revision: 1657318
- enable new KPimAddressbookImportExport support

* Mon Dec 14 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1657212
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643971
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633786
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627029
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614896
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604095
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596828
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584478
- New version 20.04.1

* Sun Apr 19 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1569615
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559298
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540791
- Mageia 8 Mass Rebuild

* Sun Feb 16 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1530635
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Mon Dec 16 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1468362
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457872
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447748
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424967
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390422
- New version 19.04.0
- New version 19.04.00

* Fri Apr 12 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1389305
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382248
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375566
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365541
- New version 18.12.2

* Wed Jan 23 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1360043
- New version 18.12.1

* Fri Dec 21 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1344001
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332720
- New version 18.08.3

* Tue Nov 20 2018 daviddavid <daviddavid> 18.08.2-2.mga7
+ Revision: 1332242
- enable KPimImportWizard support

* Mon Nov 19 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1331903
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298491
- Mageia 7 Mass Rebuild

* Mon Jul 02 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1241327
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201870
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194892
- New version 17.12.1

* Sat Jan 06 2018 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1190976
- New version 17.12.0

* Fri Aug 25 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1147728
- New version 17.08.0
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133501
- Fix for new find_lang

* Thu Jul 27 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131415
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090049
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076785
- New version 16.12.0
- Do not own /usr/share/kmail2/pics

* Thu Dec 15 2016 neoclust <neoclust> 16.11.90-3.mga6
+ Revision: 1075369
- Do not own /usr/share/messageviewer

* Thu Dec 15 2016 neoclust <neoclust> 16.11.90-2.mga6
+ Revision: 1075351
- Fix conflicts to ease upgrade

* Sat Dec 10 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1074050
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067316
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061374
- New version 16.08.2

* Tue Sep 27 2016 neoclust <neoclust> 16.08.1-2.mga6
+ Revision: 1057061
- Do not build on armv5tl

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050641
- New version 16.08.1

* Fri Aug 26 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1049004
- add a Conflicts with messageviewer < 2:16.04.3-7

* Wed Aug 24 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048114
- New version 16.08.0

* Sun Jul 24 2016 neoclust <neoclust> 16.04.3-2.mga6
+ Revision: 1043501
- Rebuild with typo fixes
- imported package kdepim-addons

